package com.yihu.jw.entity.thirdUpload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "up_medical_online")
@JsonIgnoreProperties(value = { "hibernateLazyInitializer", "handler" })
public class UpMedicalOnlineDO extends UuidIdentityEntity {
    private String cd_org;
    private String cd_area;
    private String cd_org_sub;
    private String app_time;
    private String app_dep_code;
    private String app_class_code;
    private String app_class_name;
    private String id_doctor;
    private String fg_handle;
    private String handle_time;
    private String pt_name;
    private String ge_code;
    private String card_type;
    private String id_no;
    private String pt_tel;
    private String crt_date;
    private String origin_id;
    private Date create_time;
    private Date update_time;
    private String is_del;
    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @Column(name = "cd_org")
    public String getCd_org() {
        return cd_org;
    }

    public void setCd_org(String cd_org) {
        this.cd_org = cd_org;
    }
    @Column(name = "cd_area")
    public String getCd_area() {
        return cd_area;
    }

    public void setCd_area(String cd_area) {
        this.cd_area = cd_area;
    }
    @Column(name = "cd_org_sub")
    public String getCd_org_sub() {
        return cd_org_sub;
    }

    public void setCd_org_sub(String cd_org_sub) {
        this.cd_org_sub = cd_org_sub;
    }



    @Column(name = "app_time")
    public String getApp_time() {
        return app_time;
    }

    public void setApp_time(String app_time) {
        this.app_time = app_time;
    }
    @Column(name = "app_dep_code")
    public String getApp_dep_code() {
        return app_dep_code;
    }

    public void setApp_dep_code(String app_dep_code) {
        this.app_dep_code = app_dep_code;
    }
    @Column(name = "app_class_code")
    public String getApp_class_code() {
        return app_class_code;
    }

    public void setApp_class_code(String app_class_code) {
        this.app_class_code = app_class_code;
    }
    @Column(name = "app_class_name")
    public String getApp_class_name() {
        return app_class_name;
    }

    public void setApp_class_name(String app_class_name) {
        this.app_class_name = app_class_name;
    }
    @Column(name = "id_doctor")
    public String getId_doctor() {
        return id_doctor;
    }

    public void setId_doctor(String id_doctor) {
        this.id_doctor = id_doctor;
    }
    @Column(name = "fg_handle")
    public String getFg_handle() {
        return fg_handle;
    }

    public void setFg_handle(String fg_handle) {
        this.fg_handle = fg_handle;
    }
    @Column(name = "handle_time")
    public String getHandle_time() {
        return handle_time;
    }

    public void setHandle_time(String handle_time) {
        this.handle_time = handle_time;
    }
    @Column(name = "pt_name")
    public String getPt_name() {
        return pt_name;
    }

    public void setPt_name(String pt_name) {
        this.pt_name = pt_name;
    }
    @Column(name = "ge_code")
    public String getGe_code() {
        return ge_code;
    }

    public void setGe_code(String ge_code) {
        this.ge_code = ge_code;
    }
    @Column(name = "card_type")
    public String getCard_type() {
        return card_type;
    }

    public void setCard_type(String card_type) {
        this.card_type = card_type;
    }
    @Column(name = "id_no")
    public String getId_no() {
        return id_no;
    }

    public void setId_no(String id_no) {
        this.id_no = id_no;
    }
    @Column(name = "pt_tel")
    public String getPt_tel() {
        return pt_tel;
    }

    public void setPt_tel(String pt_tel) {
        this.pt_tel = pt_tel;
    }
    @Column(name = "crt_date")
    public String getCrt_date() {
        return crt_date;
    }

    public void setCrt_date(String crt_date) {
        this.crt_date = crt_date;
    }
    @Column(name = "origin_id")
    public String getOrigin_id() {
        return origin_id;
    }

    public void setOrigin_id(String origin_id) {
        this.origin_id = origin_id;
    }
}
